> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Secret

> Permanently deletes a secret from the project.



## OpenAPI

````yaml /api-reference/openapi.json delete /v1/projects/secrets/{id}
openapi: 3.0.1
info:
  title: Hamsa API
  description: Trying out our transcription and media-to-text APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tryhamsa.com
security: []
paths:
  /v1/projects/secrets/{id}:
    delete:
      summary: Delete a Secret
      description: Permanently deletes a secret from the project.
      parameters:
        - in: path
          name: id
          required: true
          description: The ID of the secret to delete.
          schema:
            type: string
            example: ed9b5601-f731-441a-8500-d9fc7610ef8f
      responses:
        '200':
          description: Secret deleted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteSecretResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '500':
          description: Server Side Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    DeleteSecretResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        message:
          type: string
          example: success
        data:
          type: object
          properties:
            isDeleted:
              type: boolean
              example: true
    ErrorSchema:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Pass the API key in the Authorization header, You need to put Token
        keyword before the API key. e.g. 'Authorization: Token <api-key>'

````